Package javax.help

# Class SwingHelpUtilities

java.lang.Object
javax.help.SwingHelpUtilities

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

public class SwingHelpUtilities extends Object implements PropertyChangeListener
Provides a number of utility functions: Support for Beans, mapping from a Bean class to its HelpSet and to its ID. Support for LAF changes. Support for finding localized resources. This class has no public constructor.

## Constructor Summary

Constructors
Constructor
Description
`SwingHelpUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static ImageIcon`
`getImageIcon(Class baseClass, String image)`
Create an Icon from a given resource.
`void`
`propertyChange(PropertyChangeEvent event)`
The PropertyChange method is used to track changes to LookAndFeel via the "lookAndFeel" property.
`static void`
`setContentViewerUI(String cvUI)`
Set the default ContentViewerUI param cvUI - full class name of the content viewer UI

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SwingHelpUtilities

public SwingHelpUtilities()

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent event)
The PropertyChange method is used to track changes to LookAndFeel via the "lookAndFeel" property.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### setContentViewerUI

public static void setContentViewerUI(String cvUI)
Set the default ContentViewerUI param cvUI - full class name of the content viewer UI

### getImageIcon

public static ImageIcon getImageIcon(Class baseClass, String image)
Create an Icon from a given resource. This works uisng getResourceAsStream() because several browsers do not correctly implement getResource(). This method may change...